Frame.Compressor (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.transport

## Class Frame.Compressor

- java.lang.Object
- - io.netty.channel.ChannelHandlerAdapter
  - - io.netty.channel.ChannelOutboundHandlerAdapter
    - - io.netty.handler.codec.MessageToMessageEncoder<Frame>
      - - org.apache.cassandra.transport.Frame.Compressor

- All Implemented Interfaces:
    io.netty.channel.ChannelHandler, io.netty.channel.ChannelOutboundHandler
  Enclosing class:
    Frame

      @ChannelHandler.Sharable
      public static class Frame.Compressor
      extends io.netty.handler.codec.MessageToMessageEncoder<Frame>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

      `io.netty.channel.ChannelHandler.Sharable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Frame.Compressor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encode(io.netty.channel.ChannelHandlerContext ctx, Frame frame, java.util.List<java.lang.Object> results)`

    - ### Methods inherited from class io.netty.handler.codec.MessageToMessageEncoder

      `acceptOutboundMessage, write`

    - ### Methods inherited from class io.netty.channel.ChannelOutboundHandlerAdapter

      `bind, close, connect, deregister, disconnect, flush, read`

    - ### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

      `exceptionCaught, handlerAdded, handlerRemoved, isSharable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.netty.channel.ChannelHandler

      `exceptionCaught, handlerAdded, handlerRemoved`

- - ### Constructor Detail

    - #### Frame.Compressor

          public Frame.Compressor()

  - ### Method Detail

    - #### encode

          public void encode(io.netty.channel.ChannelHandlerContext ctx,
                    Frame frame,
                    java.util.List<java.lang.Object> results)
                      throws java.io.IOException

      Specified by:
        `encode` in class `io.netty.handler.codec.MessageToMessageEncoder<Frame>`
      Throws:
        `java.io.IOException`

Copyright © 2014 The Apache Software Foundation